<?php

namespace Modules\Additional\Specifique\Client158\Html;

use Helpers\Outil\Roles;
use Helpers\Trad\Trad;
use Modules\Additional\Specifique\Client158\Modules\EtatStatistique\Service\EtatStatistiqueService;
use PDO;
use Psr\Container\ContainerInterface;
use Skeleton\Router;

class HtmlExtension extends \Twig\Extension\AbstractExtension
{

    /**
     * @var PDO $pdo
     */
    protected PDO $pdo;
    /**
     * @var Router $router
     */
    private $router;
    /**
     * @var ContainerInterface $contenaire
     */
    private $contenaire;

    public function __construct(Router $router, ContainerInterface $contenaire, \PDO $pdo)
    {
        $this->router = $router;
        $this->pdo = $pdo;
        $this->contenaire = $contenaire;
    }

    public function getFunctions()
    {
        return [
            new \Twig\TwigFunction('specifiqueStatistique', [
                $this,
                'specifiqueStatistique'
            ], [
                'is_safe' => [
                    'html'
                ]
            ])
        ];
    }

    /**
     * specifiqueStatistique
     *
     * @return string
     */
    public function specifiqueStatistique()
    {
        $trad = $this->contenaire->get(\Helpers\Trad\ITrad::class);
        $title = $trad->t('Suivi budgétaire');
        if (Roles::droitsUtilisateur($this->pdo, 'SpeCONS001')) {
            $html = '<div class="clearfix">
                        <h1>' . $title . '</h1>
                        <a class="tuilesEtat" href="' . $this->router->generateUri('Specifique158.EtatStatistique.suiviBudgetaire') . '" style="margin-left:10px;">
                            <img class ="pictos" src="' . $this->contenaire->get('baseUrl') . '/IconeV2/Global/Table-mode.svg">
                            <span class="tuilesTitle">' . $trad->t('Suivi budgétaire') . '</span>
                        </a>
                    </div>';

            return $html;
        }
        return '';
    }
}
